#
# spec file for package python-ciscoconfparse
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ciscoconfparse
Version:        1.2.39
Release:        3.1
Summary:        Parse, Audit, Query, Build, and Modify Cisco IOS-style configurations
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            http://www.pennington.net/py/ciscoconfparse/
Source:         https://pypi.python.org/packages/source/c/ciscoconfparse/ciscoconfparse-%{version}.tar.gz
# PATCH-FIX-OPENSUSE skip-setuptools-hg-require.patch
Patch0:         skip-setuptools-hg-require.patch
BuildRequires:  python-colorama
BuildRequires:  python-devel
BuildRequires:  python-dnspython
BuildRequires:  python-ipaddr
BuildRequires:  python-setuptools
Requires:       python-colorama
Requires:       python-dnspython
Requires:       python-ipaddr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
ciscoconfparse is a Python library, which parses through Cisco IOS-style
(and other vendor) configurations.  It can:

- Audit existing router / switch / firewall / wlc configurations
- Retrieve portions of the configuration
- Modify existing configurations
- Build new configurations

The library examines an IOS-style config and breaks it into a set of linked
parent / child relationships.  You can perform complex queries about these
relationships.

%prep
%setup -q -n ciscoconfparse-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sun Mar 13 2016 dmueller@suse.com
- fix license
* Fri Feb  5 2016 tbechtold@suse.com
- Initial packaging (version 1.2.39)
